.notification-alert {
	font-family: inherit;
	position: fixed;
	top: 20px;
	right: -500px;
	width: 300px;
	height: 70px;
	/* border-radius: 5px; */
	border-radius: 5px 0 0 5px;
	backdrop-filter: blur(5px);
	display: flex;
	align-items: center;
	gap: 5px;
	cursor: pointer;
	transition: all .5s;
	z-index: 200;
	box-shadow: 0px 0px 4px rgba(0,0,0,.3);
	direction: rtl;
}

.notification-alert::after {
	content: "";
	width: 3px;
	height: 100%;
	position: absolute;
	top: 0;
	right: -3px;
	border-bottom-right-radius: 5px;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}

.notification-alert::before {
	content: "";
	width: 100%;
	height: 3px;
	position: absolute;
	bottom: 0;
	right: 0;
	border-radius: 5px 0 0 5px;
	animation: progressAlert 10s linear infinite;
}

@keyframes progressAlert {
	from {
		width: 100%;
	}

	to {
		width: 0;
	}
}

.alert__icon {
	width: 15%;
	height: 100%;
	display: flex;
}

.alert__icon svg {
	width: 100%;
	height: 100%;
	/* color: #fff; */
	filter: drop-shadow(0px 2px 4px #fff);
}

.alert__text {
	width: 80%;
	height: 100%;
	display: flex;
	font-family: inherit;
	flex-direction: column;
	justify-content: center;
}

.alert__text p,
.alert__text h1 {
	font-family: inherit;
	font-size: 13px;
	color: #000;
	user-select: none;
	line-height: 25px;
}

.alert__show {
	right: 15px;
}

.alert__hide {
	right: -500px;
}
/* sucess */
.alert__success{
	background-color:hsl(120, 70%, 95%);
}
.alert__success::after,
.alert__success::before {
	background: hsl(120, 70%, 40%);
}
.alert__success svg{
	color: hsl(120, 70%, 40%);
}
.alert__success .alert__text h1{
	color: hsl(120, 70%, 40%);
}
.alert__success .alert__text p{
	color: hsl(120, 70%, 30%);
}
/* warning */
.alert__warning{
	background-color: hsl(42, 100%, 95%);
}
.alert__warning::after,
.alert__warning::before {
	background: hsl(42, 100%, 60%);
}
.alert__warning svg{
	color: hsl(42, 100%, 60%);
}
.alert__warning .alert__text h1{
	color: hsl(42, 100%, 60%);
}
.alert__warning .alert__text p{
	color: hsl(42, 100%, 40%);
}

/* error */
.alert__error{
	background-color: hsl(5, 85%, 95%);
}
.alert__error::after,
.alert__error::before {
	background: hsl(5, 85%, 50%);
}
.alert__error svg{
	color: hsl(5, 85%, 50%);
}
.alert__error .alert__text h1{
	color: hsl(5, 85%, 50%);
}
.alert__error .alert__text p{
	color: hsl(5, 85%, 30%);
}